Home Forum APK Download

Failed to install dependency error in Kodi. Dependency could not be satisfied

Hi guys, I am new to Kodi and don’t have much experience with this app so I need your help with solving the missing dependencies error when installing the add-on.

Actually, I am trying to install a Covenant add-on, which is widely known for streaming movies and TV shows. One of my friends recommended installing this. But the problem is that during installation I am getting the following error message and then the installation stops.

53

“The dependency could not be satisfied”

I have tried to completely remove Kodi from my device and then reinstall it but I am still experiencing the same problem even on a fresh installation.

As I am using Kodi 17.5 Krypton on my Android device so I thought I should ask here in this dedicated Android forum due to higher chances of getting a working solution. Also, I am installing a zip file named “plugin.video.covenant-1.1.25.zip”. Maybe this might help you further assisting me.

Looking forward to a possible fix. :slight_smile:

Hi, @Matthew85! Thanks for giving us a chance to solve your problem and I am glad you have attached a screenshot of the error message, as it will help me in guiding you to the solution.

So according to the Kodi’s error log, you are trying to install Covenant add-on from a zip file and that particular zip file does not contain all the required files like dependencies, which is the reason you are experiencing the missing dependency error message.

“The dependency on script.covenant.artwork version 1.0.0 could not be satisfied.”

In most of the cases, people install add-ons via repository because it consists of all the dependencies but I can understand you are a beginner and don’t have much information about all that. Let me teach you.

Don’t worry here is a step-by-step guide to install repository in Kodi, which should fix your error:

  1. Using any web browser on your Android device, download a zip file for Colossus Repository from the official Colossal GitHub here.
    Please make sure you know the location where you have downloaded this file on your device because you will need to locate it in Kodi.

  2. Open Kodi and tap on Add-ons.

  3. Tap on the Add-on browser icon, located on the top-right corner (as highlighted in the screenshot below).

  4. Tap on “Install from zip file”.

  5. Navigate to the folder where you downloaded the Colossus repository zip file and tap on it.

  6. You will see a message, “Colossus Repository add-on installed”. All the dependencies will now be installed automatically.

  7. Now, try to install the same Covenant zip file you were trying to install earlier. It should install successfully.

The above steps should fix your problem. However, you can continue reading further to know why this error message appeared and what all the required dependencies are for Covenant that allows the add-on to operate and work properly. :slight_smile:


The reason why you experience this problem is that the Covenant add-on has certain requirements (also known as dependencies) without which it won’t work. The required Covenant dependencies are mentioned below:

  • script.module.covenant
  • script.covenant.artwork
  • script.covenant.metadata
  • script.module.urlresolver
  • script.module.metahandler

So while installing Covenant or any other add-on in Kodi through a zip file, you may experience any (or maybe all) of the following error message:

  • The dependency on script.module.covenant could not be satisfied,
  • The dependency on script.covenant.artwork version 1.0.0 could not be satisfied,
  • The dependency on script.covenant.metadata version 1.0.0 could not be satisfied,
  • The dependency on script.module.urlresolver version 3.0.0 could not be satisfied,
  • The dependency on script.module.metahandler version 1.0.0 could not be satisfied.

Based on these dependencies, there is an alternative and time-consuming method to solve this issue i.e. to download each one of the missing dependency zip files and then install them in Kodi one by one. Yes, you can do that too.

But the steps I have mentioned above in the guide for the installation of Colossus Repository should automatically install each of these missing dependencies so you won’t need to install them manually.

In case you are still unable to solve the dependency error then please feel free to ask. :smiley:

1 Like

Recently I too faced the same issue, I was pretty happy that I got the solution. When I checked the repo was down. I was bit frustrated and searched various other sites for the answer. After 2 hours of search, I found a permanent solution for this error. In this method they are using 3 different methods to fix this issue, the first method worked for me. Refer this post. And since colossus repo is not working, you can download the script file from the tvaddons official repository. To know more go to “kodierror(dot)com”